2018-12-10 23:21 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005422GNUnetrest servicepublic2018-08-13 10:15
Reporterlurchi 
Assigned Tolurchi 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSnixosOS Version18.03
Product VersionSVN HEAD 
Target Version0.11.0Fixed in VersionSVN HEAD 
Summary0005422: No rule to make target '../../src/rest/libgnunetrest.la'
DescriptionSince commit 7bd650c1a944be9e772a907cb269ac0b50f98de2 I can't compile anymore right after a fresh clone.

Make says:
Making all in rest
make[3]: Entering directory '/home/christian/projects/gnunet2/src/rest'
make[3]: *** No rule to make target '../../src/rest/libgnunetrest.la', needed by 'libgnunet_plugin_rest_copying.la'. Stop.
Steps To Reproduce./bootstrap
configure
make
TagsNo tags attached.
Attached Files
  • txt file icon output.txt (35,550 bytes) 2018-08-10 00:04 -
    Removing folder 'libltdl'...
    checking for libtoolize / libtool... 
    Copying file m4/wchar_t.m4
    libtoolize: putting auxiliary files in '.'.
    libtoolize: copying file './ltmain.sh'
    libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
    libtoolize: copying file 'm4/libtool.m4'
    libtoolize: copying file 'm4/ltoptions.m4'
    libtoolize: copying file 'm4/ltsugar.m4'
    libtoolize: copying file 'm4/ltversion.m4'
    libtoolize: copying file 'm4/lt~obsolete.m4'
    configure.ac:35: installing './compile'
    configure.ac:25: installing './config.guess'
    configure.ac:25: installing './config.sub'
    configure.ac:29: installing './install-sh'
    configure.ac:29: installing './missing'
    Makefile.am: installing './INSTALL'
    contrib/Makefile.am: installing './depcomp'
    parallel-tests: installing './test-driver'
    doc/documentation/Makefile.am:173: warning: date +'%d %B %Y': non-POSIX variable name
    doc/documentation/Makefile.am:173: (probably a GNU make extension)
    doc/documentation/Makefile.am:174: warning: date +'%B %Y': non-POSIX variable name
    doc/documentation/Makefile.am:174: (probably a GNU make extension)
    doc/documentation/Makefile.am:109: installing 'doc/documentation/mdate-sh'
    doc/documentation/Makefile.am:109: installing 'doc/documentation/texinfo.tex'
    pkgconfig/Makefile.am:49: warning: '%'-style pattern rules are a GNU make extension
    src/psyc/Makefile.am:68: warning: variable 'test_psyc2_SOURCES' is defined but no program or
    src/psyc/Makefile.am:68: library has 'test_psyc2' as canonical name (possible typo)
    src/psyc/Makefile.am:70: warning: variable 'test_psyc2_LDADD' is defined but no program or
    src/psyc/Makefile.am:70: library has 'test_psyc2' as canonical name (possible typo)
    checking build system type... x86_64-pc-linux-gnu
    checking host system type... x86_64-pc-linux-gnu
    checking target system type... x86_64-pc-linux-gnu
    checking for a BSD-compatible install... /nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin/mkdir -p
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking whether make supports nested variables... yes
    checking whether make supports nested variables... (cached) yes
    checking for gawk... (cached) gawk
    checking for style of include used by make... GNU
    checking for gcc... gcc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables... 
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether gcc accepts -g... yes
    checking for gcc option to accept ISO C89... none needed
    checking whether gcc understands -c and -o together... yes
    checking dependency style of gcc... gcc3
    checking for gcc option to accept ISO C99... none needed
    checking how to run the C preprocessor... gcc -E
    checking whether we are using the GNU C++ compiler... yes
    checking whether g++ accepts -g... yes
    checking dependency style of g++... gcc3
    checking for gcc... gcc
    checking whether we are using the GNU Objective C compiler... no
    checking whether gcc accepts -g... no
    checking dependency style of gcc... gcc3
    checking whether ln -s works... yes
    checking whether make sets $(MAKE)... (cached) yes
    checking how to print strings... printf
    checking for a sed that does not truncate output... /nix/store/navldm477k3ar6cy0zlw9rk43i459g69-gnused-4.4/bin/sed
    checking for grep that handles long lines and -e... /nix/store/s63b2myh6rxfl4aqwi9yxd6rq66djk33-gnugrep-3.1/bin/grep
    checking for egrep... /nix/store/s63b2myh6rxfl4aqwi9yxd6rq66djk33-gnugrep-3.1/bin/grep -E
    checking for fgrep... /nix/store/s63b2myh6rxfl4aqwi9yxd6rq66djk33-gnugrep-3.1/bin/grep -F
    checking for ld used by gcc... ld
    checking if the linker (ld) is GNU ld... yes
    checking for BSD- or MS-compatible name lister (nm)... nm
    checking the name lister (nm) interface... BSD nm
    checking the maximum length of command line arguments... 1572864
    checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
    checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
    checking for ld option to reload object files... -r
    checking for objdump... objdump
    checking how to recognize dependent libraries... pass_all
    checking for dlltool... dlltool
    checking how to associate runtime and link libraries... printf %s\n
    checking for archiver @FILE support... @
    checking for strip... strip
    checking for ranlib... ranlib
    checking command to parse nm output from gcc object... ok
    checking for sysroot... no
    checking for a working dd... /nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin/dd
    checking how to truncate binary pipes... /nix/store/cb3slv3szhp46xkrczqw7mscy5mnk64l-coreutils-8.29/bin/dd bs=4096 count=1
    ./configure: line 8486: /usr/bin/file: No such file or directory
    checking for mt... no
    checking if : is a manifest tool... no
    checking for ANSI C header files... yes
    checking for sys/types.h... yes
    checking for sys/stat.h... yes
    checking for stdlib.h... yes
    checking for string.h... yes
    checking for memory.h... yes
    checking for strings.h... yes
    checking for inttypes.h... yes
    checking for stdint.h... yes
    checking for unistd.h... yes
    checking for dlfcn.h... yes
    checking for objdir... .libs
    checking if gcc supports -fno-rtti -fno-exceptions... no
    checking for gcc option to produce PIC... -fPIC -DPIC
    checking if gcc PIC flag -fPIC -DPIC works... yes
    checking if gcc static flag -static works... no
    checking if gcc supports -c -o file.o... yes
    checking if gcc supports -c -o file.o... (cached) yes
    checking whether the gcc linker (ld) supports shared libraries... yes
    checking whether -lc should be explicitly linked in... no
    checking dynamic linker characteristics... GNU/Linux ld.so
    checking how to hardcode library paths into programs... immediate
    checking for shl_load... no
    checking for shl_load in -ldld... no
    checking for dlopen... no
    checking for dlopen in -ldl... yes
    checking whether a program can dlopen itself... yes
    checking whether a statically linked program can dlopen itself... yes
    checking whether stripping libraries is possible... yes
    checking if libtool supports shared libraries... yes
    checking whether to build shared libraries... yes
    checking whether to build static libraries... no
    checking how to run the C++ preprocessor... g++ -E
    checking for ld used by g++... ld
    checking if the linker (ld) is GNU ld... yes
    checking whether the g++ linker (ld) supports shared libraries... yes
    checking for g++ option to produce PIC... -fPIC -DPIC
    checking if g++ PIC flag -fPIC -DPIC works... yes
    checking if g++ static flag -static works... no
    checking if g++ supports -c -o file.o... yes
    checking if g++ supports -c -o file.o... (cached) yes
    checking whether the g++ linker (ld) supports shared libraries... yes
    checking dynamic linker characteristics... (cached) GNU/Linux ld.so
    checking how to hardcode library paths into programs... immediate
    checking for special C compiler options needed for large files... no
    checking for _FILE_OFFSET_BITS value needed for large files... no
    checking for _LARGEFILE_SOURCE value needed for large files... no
    checking for X... no
    checking for build target... linux
    checking whether unaligned 64-bit access works... yes
    checking for library containing gethostbyname... none required
    checking for socket in -lsocket... no
    checking for log in -lm... yes
    checking for getloadavg in -lc... yes
    checking for getopt... false
    checking for ssh... false
    ./configure: line 19977: ssh: command not found
    checking for -iptables... no
    checking for iptables... /nix/store/zr90msdl21ykzyhb7vcnmyc7bwa14lwy-iptables-1.6.2/bin/iptables
    checking for -ifconfig... no
    checking for ifconfig... /nix/store/2i5mpg2b2k5x5x0986iil4nff9klvb80-inetutils-1.9.4/bin/ifconfig
    checking for ifconfig... /nix/store/2i5mpg2b2k5x5x0986iil4nff9klvb80-inetutils-1.9.4/bin/ifconfig
    checking for -upnpc... no
    checking for upnpc... /nix/store/l9mygwb0a8hf0a26v5mw1vnn4b2jj7hv-miniupnpc-1.9.20160209/bin/upnpc
    checking for struct tm.tm_gmtoff... yes
    checking whether _stati64 is declared... no
    checking for getaddrinfo_a in -lanl... yes
    checking for libgcrypt-config... /nix/store/vvllzdwml6ikw0xr0bmvwrpfhcadsiwj-libgcrypt-1.8.3-dev/bin/libgcrypt-config
    checking for LIBGCRYPT - version >= 1.6.0... yes (1.8.3)
    checking LIBGCRYPT API version... okay
    checking whether gcry_mpi_set_opaque_copy is declared... yes
    checking whether to poison freed memory... defaults to yes (extra logging is enabled)
    checking for working HMAC... yes
    checking for ba2str in -lbluetooth... no
    checking for libjansson... --with-jansson not specified
    checking jansson.h usability... yes
    checking jansson.h presence... yes
    checking for jansson.h... yes
    checking for json_loads in -ljansson... yes
    checking for pa_stream_peek in -lpulse... no
    checking for opus_decode_float in -lopus... no
    checking for ogg_stream_flush_fill in -logg... no
    checking for pkg-config... /nix/store/340wmknqs4by554nwpg3hcr52lshqdj2-pkg-config-0.29.2/bin/pkg-config
    checking for glib-2.0... ./configure: line 21614: 0: command not found
    ./configure: line 21622: 0: command not found
    checking for glib-2.0 gobject-2.0 gstreamer-1.0 gstreamer-app-1.0 gstreamer-audio-1.0... not found
    checking for gawk... (cached) gawk
    checking for gnurl-config... /nix/store/7x2vzp0vjki1d2f9fmc6w3z0zjw6y30s-libgnurl-7.54.1/bin/gnurl-config
    checking for the version of libgnurl... 7.54.1-DEV
    checking for libgnurl >= version 7.34.0... yes
    checking whether libgnurl is usable... yes
    checking for curl_free... yes
    checking for gawk... (cached) gawk
    checking for curl-config... no
    checking whether libcurl is usable... no
    checking curl/curl.h usability... yes
    checking curl/curl.h presence... yes
    checking for curl/curl.h... yes
    checking glpk.h usability... yes
    checking glpk.h presence... yes
    checking for glpk.h... yes
    checking for glp_init_env in -lglpk... yes
    checking for glp_iocp.presolve... yes
    checking nss.h usability... yes
    checking nss.h presence... yes
    checking for nss.h... yes
    checking for kvm_open in -lkvm... no
    checking for kstat_open in -lkstat... no
    checking whether to build documentation... yes
    checking whether to build only documentation... no
    checking whether to compile GNU Taler Wallet library ONLY... no
    checking for libextractor... --with-extractor not specified
    checking extractor.h usability... yes
    checking extractor.h presence... yes
    checking for extractor.h... yes
    checking for EXTRACTOR_plugin_add_defaults in -lextractor... yes
    checking for libltdl... --with-ltdl not specified
    checking ltdl.h usability... yes
    checking ltdl.h presence... yes
    checking for ltdl.h... yes
    checking for lt_dlopenext in -lltdl... yes
    libltdl found
    checking if Libidn can be used... checking idna.h usability... yes
    checking idna.h presence... yes
    checking for idna.h... yes
    checking for stringprep_check_version in -lidn... yes
    yes
    checking zlib.h usability... yes
    checking zlib.h presence... yes
    checking for zlib.h... yes
    checking for compress2 in -lz... yes
    checking for ld used by gcc... ld
    checking if the linker (ld) is GNU ld... yes
    checking for shared library run path origin... done
    checking for iconv... yes
    checking for working iconv... yes
    checking for iconv declaration... 
             extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
    checking for libunistring... yes
    checking how to link with libunistring... -lunistring
    checking for libunistring version... 0.9.9
    checking unistr.h usability... yes
    checking unistr.h presence... yes
    checking for unistr.h... yes
    checking for dirent.h that defines DIR... yes
    checking for library containing opendir... none required
    checking for ANSI C header files... (cached) yes
    checking fcntl.h usability... yes
    checking fcntl.h presence... yes
    checking for fcntl.h... yes
    checking math.h usability... yes
    checking math.h presence... yes
    checking for math.h... yes
    checking errno.h usability... yes
    checking errno.h presence... yes
    checking for errno.h... yes
    checking ctype.h usability... yes
    checking ctype.h presence... yes
    checking for ctype.h... yes
    checking limits.h usability... yes
    checking limits.h presence... yes
    checking for limits.h... yes
    checking stdio.h usability... yes
    checking stdio.h presence... yes
    checking for stdio.h... yes
    checking for stdlib.h... (cached) yes
    checking for string.h... (cached) yes
    checking for unistd.h... (cached) yes
    checking stdarg.h usability... yes
    checking stdarg.h presence... yes
    checking for stdarg.h... yes
    checking signal.h usability... yes
    checking signal.h presence... yes
    checking for signal.h... yes
    checking locale.h usability... yes
    checking locale.h presence... yes
    checking for locale.h... yes
    checking for sys/stat.h... (cached) yes
    checking for sys/types.h... (cached) yes
    checking malloc.h usability... yes
    checking malloc.h presence... yes
    checking for malloc.h... yes
    checking malloc/malloc.h usability... no
    checking malloc/malloc.h presence... no
    checking for malloc/malloc.h... no
    checking malloc/malloc_np.h usability... no
    checking malloc/malloc_np.h presence... no
    checking for malloc/malloc_np.h... no
    checking langinfo.h usability... yes
    checking langinfo.h presence... yes
    checking for langinfo.h... yes
    checking sys/param.h usability... yes
    checking sys/param.h presence... yes
    checking for sys/param.h... yes
    checking sys/mount.h usability... yes
    checking sys/mount.h presence... yes
    checking for sys/mount.h... yes
    checking sys/statvfs.h usability... yes
    checking sys/statvfs.h presence... yes
    checking for sys/statvfs.h... yes
    checking sys/select.h usability... yes
    checking sys/select.h presence... yes
    checking for sys/select.h... yes
    checking sockLib.h usability... no
    checking sockLib.h presence... no
    checking for sockLib.h... no
    checking sys/mman.h usability... yes
    checking sys/mman.h presence... yes
    checking for sys/mman.h... yes
    checking sys/msg.h usability... yes
    checking sys/msg.h presence... yes
    checking for sys/msg.h... yes
    checking sys/vfs.h usability... yes
    checking sys/vfs.h presence... yes
    checking for sys/vfs.h... yes
    checking arpa/inet.h usability... yes
    checking arpa/inet.h presence... yes
    checking for arpa/inet.h... yes
    checking for fcntl.h... (cached) yes
    checking libintl.h usability... yes
    checking libintl.h presence... yes
    checking for libintl.h... yes
    checking netdb.h usability... yes
    checking netdb.h presence... yes
    checking for netdb.h... yes
    checking netinet/in.h usability... yes
    checking netinet/in.h presence... yes
    checking for netinet/in.h... yes
    checking sys/ioctl.h usability... yes
    checking sys/ioctl.h presence... yes
    checking for sys/ioctl.h... yes
    checking sys/socket.h usability... yes
    checking sys/socket.h presence... yes
    checking for sys/socket.h... yes
    checking sys/time.h usability... yes
    checking sys/time.h presence... yes
    checking for sys/time.h... yes
    checking for unistd.h... (cached) yes
    checking kstat.h usability... no
    checking kstat.h presence... no
    checking for kstat.h... no
    checking sys/sysinfo.h usability... yes
    checking sys/sysinfo.h presence... yes
    checking for sys/sysinfo.h... yes
    checking kvm.h usability... no
    checking kvm.h presence... no
    checking for kvm.h... no
    checking sys/file.h usability... yes
    checking sys/file.h presence... yes
    checking for sys/file.h... yes
    checking sys/resource.h usability... yes
    checking sys/resource.h presence... yes
    checking for sys/resource.h... yes
    checking ifaddrs.h usability... yes
    checking ifaddrs.h presence... yes
    checking for ifaddrs.h... yes
    checking mach/mach.h usability... no
    checking mach/mach.h presence... no
    checking for mach/mach.h... no
    checking stddef.h usability... yes
    checking stddef.h presence... yes
    checking for stddef.h... yes
    checking sys/timeb.h usability... yes
    checking sys/timeb.h presence... yes
    checking for sys/timeb.h... yes
    checking terminos.h usability... no
    checking terminos.h presence... no
    checking for terminos.h... no
    checking argz.h usability... yes
    checking argz.h presence... yes
    checking for argz.h... yes
    checking ucred.h usability... no
    checking ucred.h presence... no
    checking for ucred.h... no
    checking sys/ucred.h usability... no
    checking sys/ucred.h presence... no
    checking for sys/ucred.h... no
    checking endian.h usability... yes
    checking endian.h presence... yes
    checking for endian.h... yes
    checking sys/endian.h usability... no
    checking sys/endian.h presence... no
    checking for sys/endian.h... no
    checking execinfo.h usability... yes
    checking execinfo.h presence... yes
    checking for execinfo.h... yes
    checking byteswap.h usability... yes
    checking byteswap.h presence... yes
    checking for byteswap.h... yes
    checking for sys/types.h... (cached) yes
    checking for netinet/in_systm.h... yes
    checking for netinet/in.h... (cached) yes
    checking for netinet/ip.h... yes
    checking for SQLite... --with-sqlite not specified
    checking sqlite3.h usability... yes
    checking sqlite3.h presence... yes
    checking for sqlite3.h... yes
    checking for pg_config... no
    no
    checking for sigset_t... yes
    checking for off_t... yes
    checking for size_t... yes
    checking for mysql... --with-mysql not specified
    checking for mysql_init in -lmysqlclient... no
    checking for libmicrohttpd... --with-microhttpd not specified
    checking for microhttpd.h... yes
    checking whether MHD_OPTION_PER_IP_CONNECTION_LIMIT is declared... yes
    checking for MHD_get_fdset2 in -lmicrohttpd... yes
    checking for libmicrohttpd >= 0.9.42... ok
    checking for a Python interpreter with version >= 2.6... none
    checking whether NLS is requested... yes
    checking for msgfmt... /nix/store/mxjx0mml0ahhb4y2p20anqc6i7ms79xz-gettext-0.19.8/bin/msgfmt
    checking for gmsgfmt... /nix/store/mxjx0mml0ahhb4y2p20anqc6i7ms79xz-gettext-0.19.8/bin/msgfmt
    checking for xgettext... /nix/store/mxjx0mml0ahhb4y2p20anqc6i7ms79xz-gettext-0.19.8/bin/xgettext
    checking for msgmerge... /nix/store/mxjx0mml0ahhb4y2p20anqc6i7ms79xz-gettext-0.19.8/bin/msgmerge
    checking for CFPreferencesCopyAppValue... no
    checking for CFLocaleCopyCurrent... no
    checking for GNU gettext in libc... yes
    checking whether to use NLS... yes
    checking where the gettext function comes from... libc
    checking for pid_t... yes
    checking for size_t... (cached) yes
    checking for mode_t... yes
    checking whether time.h and sys/time.h may both be included... yes
    checking whether stat file-mode macros are broken... no
    checking for stdbool.h that conforms to C99... yes
    checking for _Bool... yes
    checking whether struct tm is in sys/time.h or time.h... time.h
    checking for struct sockaddr_in.sin_len... no
    checking for struct sockaddr_un.sun_len... no
    checking whether closedir returns void... no
    checking vfork.h usability... no
    checking vfork.h presence... no
    checking for vfork.h... no
    checking for fork... yes
    checking for vfork... yes
    checking for working fork... yes
    checking for working vfork... (cached) yes
    checking whether gcc needs -traditional... no
    checking for working memcmp... yes
    checking for sys/select.h... (cached) yes
    checking for sys/socket.h... (cached) yes
    checking types of arguments for select... int,fd_set *,struct timeval *
    checking for uid_t in sys/types.h... yes
    checking for unistd.h... (cached) yes
    checking for working chown... yes
    checking return type of signal handlers... void
    checking whether lstat correctly handles trailing slash... yes
    checking whether stat accepts an empty string... no
    checking for strftime... yes
    checking for vprintf... yes
    checking for _doprnt... no
    checking for sys/wait.h that is POSIX.1 compatible... yes
    checking for off_t... (cached) yes
    checking for uid_t in sys/types.h... (cached) yes
    checking for atoll... yes
    checking for stat64... yes
    checking for strnlen... yes
    checking for mremap... yes
    checking for getrlimit... yes
    checking for setrlimit... yes
    checking for sysconf... yes
    checking for initgroups... yes
    checking for strndup... yes
    checking for gethostbyname2... yes
    checking for getpeerucred... no
    checking for getpeereid... no
    checking for setresuid... yes
    checking for getnameinfo... yes
    checking for gethostname... yes
    checking for gethostbyname... yes
    checking for gethostbyaddr... yes
    checking for getaddrinfo... yes
    checking for getaddrinfo_a... no
    checking for getifaddrs... yes
    checking for freeifaddrs... yes
    checking for getresgid... yes
    checking for mallinfo... yes
    checking for malloc_size... no
    checking for malloc_usable_size... yes
    checking for getrusage... yes
    checking for random... yes
    checking for srandom... yes
    checking for stat... yes
    checking for statfs... yes
    checking for statvfs... yes
    checking for wait4... yes
    checking for sudo... no
    checking for gnunetdns group name... gnunetdns
    checking for gnutls... --with-gnutls not specified
    checking gnutls/abstract.h usability... yes
    checking gnutls/abstract.h presence... yes
    checking for gnutls/abstract.h... yes
    checking for gnutls_priority_set in -lgnutls... yes
    checking gnutls/dane.h usability... yes
    checking gnutls/dane.h presence... yes
    checking for gnutls/dane.h... yes
    checking for dane_verify_crt_raw in -lgnutls-dane... yes
    checking if GNUnet is being configured to run on the SuperMUC... 
    checking if NSE has to send timestamp information to testbed logger... no
    checking whether to run tests... 
    checking whether to run with monkey... no
    checking whether to run expensive tests... no
    checking whether to enable ports for gnunet-java... no
    checking whether to run benchmarks during make check... no
    checking wether to compile gnunet-testing... yes
    checking whether to compile experimental code... no
    checking whether to compile malicious code... no
    checking whether to start peer's services on demand by default... yes
    checking whether to create expensive statistics on memory use... 0
    checking whether to enable windows workarounds... no
    checking whether to compile with support for code coverage analysis... no
    checking for svnversion... no
    checking for git... no
    checking for source being under a VCS... no
    checking VCS version... "release"
    checking that generated files are newer than configure... done
    configure: creating ./config.status
    config.status: creating Makefile
    config.status: creating contrib/Makefile
    config.status: creating doc/Makefile
    config.status: creating doc/man/Makefile
    config.status: creating doc/doxygen/Makefile
    config.status: creating doc/documentation/Makefile
    config.status: creating m4/Makefile
    config.status: creating po/Makefile.in
    config.status: creating src/Makefile
    config.status: creating src/arm/Makefile
    config.status: creating src/arm/arm.conf
    config.status: creating src/ats/Makefile
    config.status: creating src/ats/ats.conf
    config.status: creating src/ats-tool/Makefile
    config.status: creating src/ats-tests/Makefile
    config.status: creating src/auction/Makefile
    config.status: creating src/block/Makefile
    config.status: creating src/cadet/Makefile
    config.status: creating src/cadet/cadet.conf
    config.status: creating src/core/Makefile
    config.status: creating src/core/core.conf
    config.status: creating src/consensus/Makefile
    config.status: creating src/consensus/consensus.conf
    config.status: creating src/conversation/Makefile
    config.status: creating src/conversation/conversation.conf
    config.status: creating src/curl/Makefile
    config.status: creating src/datacache/Makefile
    config.status: creating src/datastore/Makefile
    config.status: creating src/datastore/datastore.conf
    config.status: creating src/dht/Makefile
    config.status: creating src/dht/dht.conf
    config.status: creating src/dns/Makefile
    config.status: creating src/dns/dns.conf
    config.status: creating src/exit/Makefile
    config.status: creating src/fragmentation/Makefile
    config.status: creating src/fs/Makefile
    config.status: creating src/fs/fs.conf
    config.status: creating src/gns/Makefile
    config.status: creating src/gns/gns.conf
    config.status: creating src/gns/nss/Makefile
    config.status: creating src/gnsrecord/Makefile
    config.status: creating src/hello/Makefile
    config.status: creating src/identity/Makefile
    config.status: creating src/identity/identity.conf
    config.status: creating src/credential/Makefile
    config.status: creating src/credential/credential.conf
    config.status: creating src/include/Makefile
    config.status: creating src/integration-tests/Makefile
    config.status: creating src/json/Makefile
    config.status: creating src/jsonapi/Makefile
    config.status: creating src/hostlist/Makefile
    config.status: creating src/multicast/Makefile
    config.status: creating src/multicast/multicast.conf
    config.status: creating src/my/Makefile
    config.status: creating src/mysql/Makefile
    config.status: creating src/namecache/Makefile
    config.status: creating src/namecache/namecache.conf
    config.status: creating src/namestore/Makefile
    config.status: creating src/namestore/namestore.conf
    config.status: creating src/nat/Makefile
    config.status: creating src/nat/nat.conf
    config.status: creating src/nat-auto/Makefile
    config.status: creating src/nat-auto/nat-auto.conf
    config.status: creating src/nse/Makefile
    config.status: creating src/nse/nse.conf
    config.status: creating src/peerinfo/Makefile
    config.status: creating src/peerinfo/peerinfo.conf
    config.status: creating src/peerinfo-tool/Makefile
    config.status: creating src/peerstore/Makefile
    config.status: creating src/peerstore/peerstore.conf
    config.status: creating src/pq/Makefile
    config.status: creating src/psycutil/Makefile
    config.status: creating src/psyc/Makefile
    config.status: creating src/psyc/psyc.conf
    config.status: creating src/psycstore/Makefile
    config.status: creating src/psycstore/psycstore.conf
    config.status: creating src/pt/Makefile
    config.status: creating src/regex/Makefile
    config.status: creating src/regex/regex.conf
    config.status: creating src/revocation/Makefile
    config.status: creating src/revocation/revocation.conf
    config.status: creating src/rps/Makefile
    config.status: creating src/rps/rps.conf
    config.status: creating src/secretsharing/Makefile
    config.status: creating src/secretsharing/secretsharing.conf
    config.status: creating src/scalarproduct/Makefile
    config.status: creating src/scalarproduct/scalarproduct.conf
    config.status: creating src/set/Makefile
    config.status: creating src/set/set.conf
    config.status: creating src/social/Makefile
    config.status: creating src/social/social.conf
    config.status: creating src/sq/Makefile
    config.status: creating src/statistics/Makefile
    config.status: creating src/statistics/statistics.conf
    config.status: creating src/template/Makefile
    config.status: creating src/testbed/Makefile
    config.status: creating src/testbed/testbed.conf
    config.status: creating src/testbed-logger/Makefile
    config.status: creating src/testbed-logger/testbed-logger.conf
    config.status: creating src/testing/Makefile
    config.status: creating src/topology/Makefile
    config.status: creating src/transport/Makefile
    config.status: creating src/transport/transport.conf
    config.status: creating src/util/Makefile
    config.status: creating src/util/resolver.conf
    config.status: creating src/vpn/Makefile
    config.status: creating src/vpn/vpn.conf
    config.status: creating src/zonemaster/Makefile
    config.status: creating src/zonemaster/zonemaster.conf
    config.status: creating src/rest/Makefile
    config.status: creating src/abe/Makefile
    config.status: creating src/reclaim-attribute/Makefile
    config.status: creating src/reclaim/Makefile
    config.status: creating pkgconfig/Makefile
    config.status: creating pkgconfig/gnunetarm.pc
    config.status: creating pkgconfig/gnunetats.pc
    config.status: creating pkgconfig/gnunetblock.pc
    config.status: creating pkgconfig/gnunetcadet.pc
    config.status: creating pkgconfig/gnunetconsensus.pc
    config.status: creating pkgconfig/gnunetconversation.pc
    config.status: creating pkgconfig/gnunetcore.pc
    config.status: creating pkgconfig/gnunetdatacache.pc
    config.status: creating pkgconfig/gnunetdatastore.pc
    config.status: creating pkgconfig/gnunetdht.pc
    config.status: creating pkgconfig/gnunetdns.pc
    config.status: creating pkgconfig/gnunetdv.pc
    config.status: creating pkgconfig/gnunetenv.pc
    config.status: creating pkgconfig/gnunetfragmentation.pc
    config.status: creating pkgconfig/gnunetfs.pc
    config.status: creating pkgconfig/gnunetgns.pc
    config.status: creating pkgconfig/gnunethello.pc
    config.status: creating pkgconfig/gnunetidentity.pc
    config.status: creating pkgconfig/gnunetmicrophone.pc
    config.status: creating pkgconfig/gnunetmulticast.pc
    config.status: creating pkgconfig/gnunetmysql.pc
    config.status: creating pkgconfig/gnunetnamestore.pc
    config.status: creating pkgconfig/gnunetnat.pc
    config.status: creating pkgconfig/gnunetnse.pc
    config.status: creating pkgconfig/gnunetpeerinfo.pc
    config.status: creating pkgconfig/gnunetpq.pc
    config.status: creating pkgconfig/gnunetpsyc.pc
    config.status: creating pkgconfig/gnunetpsycstore.pc
    config.status: creating pkgconfig/gnunetregex.pc
    config.status: creating pkgconfig/gnunetrevocation.pc
    config.status: creating pkgconfig/gnunetrps.pc
    config.status: creating pkgconfig/gnunetscalarproduct.pc
    config.status: creating pkgconfig/gnunetset.pc
    config.status: creating pkgconfig/gnunetsocial.pc
    config.status: creating pkgconfig/gnunetspeaker.pc
    config.status: creating pkgconfig/gnunetstatistics.pc
    config.status: creating pkgconfig/gnunettestbed.pc
    config.status: creating pkgconfig/gnunettesting.pc
    config.status: creating pkgconfig/gnunettransport.pc
    config.status: creating pkgconfig/gnunetutil.pc
    config.status: creating pkgconfig/gnunetvpn.pc
    config.status: creating gnunet_config.h
    config.status: executing depfiles commands
    config.status: executing libtool commands
    config.status: executing po-directories commands
    config.status: creating po/POTFILES
    config.status: creating po/Makefile
    configure: WARNING: bluetooth library not found.  bluetooth support will not be compiled.
    configure: WARNING: libpulse(audio) not found, conversation will not be built.
    configure: WARNING: libopus not found, conversation will not be built.
    configure: WARNING: GStreamer not found, conversation will not be built.
    configure: NOTICE: Database support is set to MySQL: false, SQLite: true, Postgres: false
    configure: ********************************************
    Please make sure NOW that you have created a user and group 'gnunet'
    and additionally a group 'gnunetdns'. On Debian and Ubuntu GNU/Linux, type:
            addgroup gnunetdns
            adduser --system --group --disabled-login --home /var/lib/gnunet gnunet
    
    Make sure that '/var/lib/gnunet' is owned (and writable) by user
    'gnunet'.  Then, you can compile GNUnet with
            make
    
    After that, run (if necessary as 'root')
            make install
    to install everything.
    
    Each GNUnet user should be added to the 'gnunet' group (may
    require fresh login to come into effect):
            adduser USERNAME gnunet
    (run the above command as root once for each of your users, replacing
    "USERNAME" with the respective login names).  If you have a global IP
    address, no further configuration is required.
    
    For more detailed setup instructions, see https://gnunet.org/installation
    
    Optionally, download and compile gnunet-gtk to get a GUI for
    file-sharing and configuration.  This is particularly recommended
    if your network setup is non-trivial, as gnunet-setup can be
    used to test in the GUI if your network configuration is working.
    gnunet-setup should be run as the "gnunet" user under X.  As it
    does very little with the network, running it as "root" is likely
    also harmless.  You can also run it as a normal user, but then
    you have to copy ~/.gnunet/gnunet.conf" over to the "gnunet" user's
    home directory in the end.
    
    Once you have configured your peer, run (as the 'gnunet' user)
    	gnunet-arm -s
    to start the peer.  You can then run the various GNUnet-tools as
    your "normal" user (who should only be in the group 'gnunet').
    ********************************************
    make  all-recursive
    make[1]: Entering directory '/home/christian/projects/gnunet2'
    Making all in m4
    make[2]: Entering directory '/home/christian/projects/gnunet2/m4'
    make[2]: Nothing to be done for 'all'.
    make[2]: Leaving directory '/home/christian/projects/gnunet2/m4'
    Making all in src
    make[2]: Entering directory '/home/christian/projects/gnunet2/src'
    Making all in include
    make[3]: Entering directory '/home/christian/projects/gnunet2/src/include'
    Making all in .
    make[4]: Entering directory '/home/christian/projects/gnunet2/src/include'
    make[4]: Nothing to be done for 'all-am'.
    make[4]: Leaving directory '/home/christian/projects/gnunet2/src/include'
    make[3]: Leaving directory '/home/christian/projects/gnunet2/src/include'
    Making all in util
    make[3]: Entering directory '/home/christian/projects/gnunet2/src/util'
      CC       bandwidth.lo
      CC       bio.lo
      CC       client.lo
      CC       common_allocation.lo
      CC       common_endian.lo
      CC       common_logging.lo
      CC       configuration.lo
      CC       configuration_loader.lo
      CC       container_bloomfilter.lo
      CC       container_heap.lo
      CC       container_meta_data.lo
      CC       container_multihashmap.lo
      CC       container_multishortmap.lo
      CC       container_multipeermap.lo
      CC       container_multihashmap32.lo
      CC       crypto_symmetric.lo
      CC       crypto_crc.lo
      CC       crypto_ecc.lo
      CC       crypto_ecc_dlog.lo
      CC       crypto_ecc_setup.lo
      CC       crypto_hash.lo
      CC       crypto_hash_file.lo
      CC       crypto_hkdf.lo
      CC       crypto_kdf.lo
      CC       crypto_mpi.lo
      CC       crypto_paillier.lo
      CC       crypto_random.lo
      CC       crypto_rsa.lo
      CC       disk.lo
      CC       dnsparser.lo
      CC       dnsstub.lo
      CC       getopt.lo
      CC       getopt_helpers.lo
      CC       helper.lo
      CC       load.lo
      CC       mst.lo
      CC       mq.lo
      CC       nc.lo
      CC       network.lo
      CC       op.lo
      CC       os_installation.lo
      CC       os_network.lo
      CC       os_priority.lo
      CC       peer.lo
      CC       plugin.lo
      CC       program.lo
      CC       regex.lo
      CC       resolver_api.lo
      CC       scheduler.lo
      CC       service.lo
      CC       signal.lo
      CC       strings.lo
      CC       time.lo
      CC       tun.lo
      CC       speedup.lo
      CC       test_plugin_plug.lo
      CC       gnunet-resolver.o
      CC       gnunet-config.o
      CC       gnunet-ecc.o
      CC       gnunet-scrypt.o
      CC       gnunet-uri.o
      CC       gnunet-service-resolver.o
      CC       gnunet-timeout.o
      CC       gnunet-config-diff.o
      CC       test_common_logging_dummy.o
    /nix/store/navldm477k3ar6cy0zlw9rk43i459g69-gnused-4.4/bin/sed -e 's,[@]PYTHON[@],:,g' < ../../src/util/gnunet-qr.py.in > gnunet-qr
    chmod +x gnunet-qr
      CCLD     libgnunet_plugin_test.la
      CCLD     gnunet-timeout
      CCLD     libgnunetutil.la
      CCLD     gnunet-resolver
      CCLD     gnunet-config
      CCLD     gnunet-ecc
      CCLD     gnunet-scrypt
      CCLD     gnunet-uri
      CCLD     gnunet-service-resolver
      CCLD     gnunet-config-diff
      CCLD     test_common_logging_dummy
    make[3]: Leaving directory '/home/christian/projects/gnunet2/src/util'
    Making all in json
    make[3]: Entering directory '/home/christian/projects/gnunet2/src/json'
      CC       json.lo
      CC       json_mhd.lo
      CC       json_generator.lo
    make[3]: *** No rule to make target '../../src/gnsrecord/libgnunetgnsrecord.la', needed by 'libgnunetjson.la'.  Stop.
    make[3]: *** Waiting for unfinished jobs....
      CC       json_helper.lo
      CC       json_gnsrecord.lo
    make[3]: Leaving directory '/home/christian/projects/gnunet2/src/json'
    make[2]: *** [Makefile:552: all-recursive] Error 1
    make[2]: Leaving directory '/home/christian/projects/gnunet2/src'
    make[1]: *** [Makefile:595: all-recursive] Error 1
    make[1]: Leaving directory '/home/christian/projects/gnunet2'
    make: *** [Makefile:485: all] Error 2
    
    txt file icon output.txt (35,550 bytes) 2018-08-10 00:04 +

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013189

schanzen (developer)

I am unable to reproduce this. My builds run fine even after a fresh checkout.

~0013190

lurchi (developer)

After I upgraded libmicrohttpd from 0.9.42 to 0.9.58, it builds again.

Is it true that 0.9.52 is the minimum requirement? (I wrote that into installation.texi myself, d'oh)

Maybe the configure script should give us an error message when the version is too old.

~0013191

lurchi (developer)

Oh no, it wasn't the version. configure didn't find libmicrohttpd at all and thus didn't build rest. I'll investigate more.

~0013192

lurchi (developer)

Sorry, I was confused. It has nothing to do with libmicrohttpd and my build still fails.

I attached the output of bootstrap, configure and make. I don't see anything suspicious, maybe you do.

My exact usage is:
export GNUNET_PREFIX=/home/christian/gnunet
export CFLAGS="-g -Wall -O0"
./bootstrap
./configure --prefix=$GNUNET_PREFIX --enable-logging=verbose
make -j8 && make install

~0013193

schanzen (developer)

a081d2c1a230df2fb1483d8a29db5ccb692bc297 should fix it.
The problem was that when make builds in parallel (i.e. jX with X > 1), then it does not compile in the correct order according to dependencies.

~0013194

lurchi (developer)

Ah great! Now I have a very similar-looking issue in the json directory.

make[3]: *** No rule to make target '../../src/gnsrecord/libgnunetgnsrecord.la', needed by 'libgnunetjson.la'. Stop.

Is it the same thing in green?

~0013195

schanzen (developer)

Different bug I will open another report for that. A temporary fix is in a6b091770787e9a5c508bb20d830d1dd816ae4e0.
Please try.

~0013197

schanzen (developer)

The issue you pointed out has to do with: https://gnunet.org/bugs/view.php?id=5423

~0013198

lurchi (developer)

Seems to work, but...

make[3]: *** No rule to make target '../../src/transport/libgnunettransport.la', needed by 'libgnunetpeerinfo.la'. Stop.

Thank you for going through this.

~0013199

schanzen (developer)

I can reproduce this with "make -j4".
However, this is really odd. It never happened before.
-> let's ask CG. I do not want to rearrange all dependencies needlessly.

~0013200

schanzen (developer)

So, 20ced0fb9448be66bdbd1cb3f81d8262cb7f8c2f works for me. I had to rearrange subsystems in the src/Makefile.am though so the man might disagree an revert tomorrow ;)

Until then you can try!

~0013201

lurchi (developer)

I still get

make[3]: *** No rule to make target '../../src/transport/libgnunettransport.la', needed by 'libgnunetpeerinfo.la'. Stop.

Regardless of the number of make jobs as it seems.

~0013202

schanzen (developer)

Okay. I guess that broke it and changed it back. You can try to compile with make -j1 for now.

~0013203

lurchi (developer)

I get the same error with make -j1.

~0013204

schanzen (developer)

I think I fixed it with 6371b64774428e83ff83ada88bda354356718aca.
Can you try?

~0013206

lurchi (developer)

Now it fails much later in the jsonapi folder:

make[3]: *** No rule to make target '../../src/reclaim/libgnunetreclaim.la', needed by 'libgnunet_plugin_rest_reclaim.la'. Stop.

I tried with make -j1 and make -j8.

~0013207

schanzen (developer)

Oh. Yeah needed to handle that case if you are missing this depency -> fixed.

~0013208

lurchi (developer)

It builds again! :-)

~0013209

schanzen (developer)

Fixed in plugin_LTLIBRARIES =
+Notes

-Issue History
Date Modified Username Field Change
2018-08-09 20:03 lurchi New Issue
2018-08-09 20:03 lurchi Status new => assigned
2018-08-09 20:03 lurchi Assigned To => schanzen
2018-08-09 20:03 lurchi Description Updated View Revisions
2018-08-09 22:30 schanzen Status assigned => feedback
2018-08-09 22:30 schanzen Note Added: 0013189
2018-08-09 22:36 schanzen Category other => rest service
2018-08-09 23:28 lurchi Note Added: 0013190
2018-08-09 23:28 lurchi Status feedback => assigned
2018-08-09 23:33 lurchi Note Added: 0013191
2018-08-09 23:55 lurchi File Added: output.txt
2018-08-09 23:55 lurchi Note Added: 0013192
2018-08-10 00:04 lurchi File Deleted: output.txt
2018-08-10 00:04 lurchi File Added: output.txt
2018-08-10 00:05 lurchi File Added: output-2.txt
2018-08-10 00:05 lurchi File Deleted: output-2.txt
2018-08-10 00:06 schanzen Status assigned => feedback
2018-08-10 00:06 schanzen Note Added: 0013193
2018-08-10 00:17 lurchi Note Added: 0013194
2018-08-10 00:17 lurchi Status feedback => assigned
2018-08-10 00:26 schanzen Status assigned => feedback
2018-08-10 00:26 schanzen Note Added: 0013195
2018-08-10 00:31 schanzen Note Added: 0013197
2018-08-10 00:32 lurchi Note Added: 0013198
2018-08-10 00:32 lurchi Status feedback => assigned
2018-08-10 00:36 schanzen Assigned To schanzen => Christian Grothoff
2018-08-10 00:36 schanzen Status assigned => feedback
2018-08-10 00:36 schanzen Note Added: 0013199
2018-08-10 00:48 schanzen Note Added: 0013200
2018-08-10 07:29 lurchi Note Added: 0013201
2018-08-10 07:29 lurchi Status feedback => assigned
2018-08-10 10:05 schanzen Note Added: 0013202
2018-08-10 17:45 lurchi Note Added: 0013203
2018-08-13 08:52 schanzen Assigned To Christian Grothoff => lurchi
2018-08-13 08:52 schanzen Status assigned => feedback
2018-08-13 08:52 schanzen Note Added: 0013204
2018-08-13 09:16 lurchi Note Added: 0013206
2018-08-13 09:59 schanzen Note Added: 0013207
2018-08-13 10:14 lurchi Note Added: 0013208
2018-08-13 10:15 schanzen Status feedback => resolved
2018-08-13 10:15 schanzen Resolution open => fixed
2018-08-13 10:15 schanzen Fixed in Version => SVN HEAD
2018-08-13 10:15 schanzen Note Added: 0013209
+Issue History